Bug 1473188 - [Tracker] S3A for Hadoop 2.8.0 [NEEDINFO]
Summary: [Tracker] S3A for Hadoop 2.8.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 3.*
Assignee: Marcus Watts
QA Contact: Tejas
URL:
Whiteboard:
Depends On: 1470874 1417163 1421842 1456060 1464099 1472868 1472874 1473190 1473430 1479771 1496568 1500904 1530784
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-20 08:13 UTC by Kyle Bader
Modified: 2020-05-17 18:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-17 18:16:09 UTC
Target Upstream Version:
icolle: needinfo? (kbader)
tchandra: needinfo? (mbenjamin)


Attachments (Terms of Use)

Description Kyle Bader 2017-07-20 08:13:26 UTC
Bugzilla to track the various things we need to test with regard to the new functionality introduced in Hadoop 2.8.0 for the S3A Filesystem Client.

Comment 2 Kyle Bader 2017-07-20 08:21:48 UTC
Test various S3 authentication mechanisms added to S3a in Hadoop 2.8.0

https://bugzilla.redhat.com/show_bug.cgi?id=1473190

Comment 3 Kyle Bader 2017-07-20 19:53:09 UTC
Test S3 encryption support added to S3A in Hadoop 2.8.0 with Ceph RGW

https://bugzilla.redhat.com/show_bug.cgi?id=1473430

Comment 4 Kyle Bader 2017-07-21 21:48:58 UTC
We should perform the 2.7.3/2.8 unit tests with bucket versioning turned on, as well.

Comment 5 Kyle Bader 2017-07-26 16:00:52 UTC
Adding distcp BZ

Comment 6 Kyle Bader 2017-07-27 14:10:20 UTC
Adding S3A object transition between storage classes BZ.

Comment 7 Kyle Bader 2017-07-27 14:13:27 UTC
Adding cross bucket sharing BZ. This is a extremely common request for big data workloads (sharing data).

Comment 8 Kyle Bader 2017-07-27 14:20:02 UTC
Adding stale bucket index entries BZ.

Comment 9 Kyle Bader 2017-07-27 14:24:27 UTC
Adding the other object transition BZ. This is our counter to HDFS heterogenous storage (tiering).

Comment 11 Kyle Bader 2017-07-27 14:41:03 UTC
Adding bucket quota BZ, by big data customer request.

Comment 16 Giridhar Ramaraju 2019-08-05 13:10:33 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 17 Giridhar Ramaraju 2019-08-05 13:11:35 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.